=== debian/changelog ===
util-linux (2.12r-19) unstable; urgency=low

  * mips/mipsel buildds use sudo.  Fix install target so that mount.deb
    builds.  Closes: #411893

 -- LaMont Jones <lamont@debian.org>  Wed, 21 Feb 2007 10:39:26 -0700

util-linux (2.12r-18) unstable; urgency=low

  * Stop printing erroneous "rpc.idmapd appears to not be running" message.
    Files: 30nfs4.dpatch. Closes: #385879

 -- LaMont Jones <lamont@debian.org>  Mon,  5 Feb 2007 13:47:10 -0700

util-linux (2.12r-17) unstable; urgency=low

  * Userspace software suspend fix.  Closes: #409365
  * armel support.  Closes: #408816

 -- LaMont Jones <lamont@debian.org>  Fri,  2 Feb 2007 11:08:04 -0700

util-linux (2.12r-16) unstable; urgency=low

  * actually apply 30swsusp-resume.  And support userspace sw susp too.
    Closes: #406204
  * Fix off-by-one issue in agetty -I.  Closes: #392445
  * Drop extraneous "again" from hwclock.sh and remove references to
    hwclockfirst.sh.  Closes: #396755
  * Drop PAGE_SIZE usage completely, use sysconf(_SC_PAGESIZE).
  * Make intr the default for NFS v2 & v3 mounts in addition to being the
    default for NFS v4.  Thanks to Tollef Fog Heen for the idea.

 -- LaMont Jones <lamont@debian.org>  Wed, 17 Jan 2007 11:57:35 -0700

util-linux (2.12r-15) unstable; urgency=low

  * New amd64 rdev patch.  Closes: #396842

 -- LaMont Jones <lamont@debian.org>  Fri,  3 Nov 2006 20:44:05 -0700

util-linux (2.12r-14) unstable; urgency=low

  * Make that 11 for hwclock.sh, since we need / to be writable for the
    adjfile.

 -- LaMont Jones <lamont@debian.org>  Tue, 31 Oct 2006 15:01:01 -0700

util-linux (2.12r-13) unstable; urgency=low

  * NFS seems to not like 127.0.0.1 as a client ID for everyone.
    Closes: #394941
    - 30nfs4-setclientid.dpatch by Steinar H. Gunderson <sesse@debian.org>
  * Move hwclock.sh to 8 since localtime is now a file, not a symlink.
    Adds Depends: tzdata (>=2006c-2)
    Closes: #342887
  * ship rdev on amd64.  Closes: #297789

 -- LaMont Jones <lamont@debian.org>  Tue, 31 Oct 2006 13:51:50 -0700

util-linux (2.12r-12) unstable; urgency=low

  * drop hwclockfirst.sh, and put hwclock.sh back at 50.  See #50572 and
    Closes: #342887
  * Deal with _syscall5 going away.  Patch imported from Ubuntu.
    Closes: #392236

 -- LaMont Jones <lamont@debian.org>  Thu, 19 Oct 2006 19:01:33 -0600

util-linux (2.12r-11) unstable; urgency=low

  * typos in NFSv4 (GSSDLCK didn't have .pid, and the latest
    nfs-common no longer creates the file at all.) Closes: #376931
    - modified 30nfs4-fix.dpatch

 -- LaMont Jones <lamont@debian.org>  Tue, 19 Sep 2006 09:33:31 -0600

util-linux (2.12r-10) unstable; urgency=low

  * NFSv4 patch fixes for cfs.  Closes: #367049
    Thanks to Trond Myklebust for the quick fix.
    - modified 30nfs4-fix.dpatch

 -- LaMont Jones <lamont@debian.org>  Mon, 15 May 2006 18:12:24 -0600

util-linux (2.12r-9) unstable; urgency=low

  * Release NFSv4 support. Closes: #302420, #239031, #290873
  * Deliver isosize. Closes: #354960
  * Fix udeb dependencies.  Closes: #360352

 -- LaMont Jones <lamont@debian.org>  Sat,  6 May 2006 21:53:12 -0600

util-linux (2.12r-8.2nfs4) experimental; urgency=low

  * Turn on fixed nfsv4 patch.  Closes: #302420, #239031
    Thanks to Steinar H. Gunderson <sgunderson@bigfoot.com>

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Apr 2006 11:04:39 -0600

util-linux (2.12r-8) unstable; urgency=high

  * Drop NFS v4 patch, since it breaks mounting things exported by
    nfs-user-server.  It will be happily reapplied once someone fixes
    the patch.  Closes: #354075.  Reopens: #302420, #239031
    - fix compiler warnings in said patch.
    - Apply nfs4mount.c fix to (dropped) nfsv4 patch.  Closes: #354193

 -- LaMont Jones <lamont@debian.org>  Fri, 24 Feb 2006 10:57:29 -0700

util-linux (2.12r-7) unstable; urgency=low

  * Add nfsv4 patch.  Closes: #302420, #239031

 -- LaMont Jones <lamont@debian.org>  Tue, 21 Feb 2006 11:01:21 -0700

util-linux (2.12r-6) unstable; urgency=low

  * make hwclock even more policy compilant.

 -- LaMont Jones <lamont@debian.org>  Sat, 28 Jan 2006 08:57:45 -0700

util-linux (2.12r-5) unstable; urgency=low

  * make hwclock prettier.  Closes: #348718

 -- LaMont Jones <lamont@debian.org>  Wed, 18 Jan 2006 11:44:06 -0700

util-linux (2.12r-4) unstable; urgency=low

  * Stupid fat-fingers typo.  Closes: #348483

 -- LaMont Jones <lamont@debian.org>  Tue, 17 Jan 2006 07:40:56 -0700

util-linux (2.12r-3) unstable; urgency=low

  * Add ppc64 support.  Closes: #322130
  * Update sections to match the overrides file.
  * hwclockfirst.sh may not exit, since it gets sourced.
    Closes: #343447
  * make the start messages from hwclock{first,}.sh slightly
    different, for clarity.
  * Build sparc binaries on sparc64
  * Actually cleanup pager alternatives.  Closes: #348235
  * Deal better with long passwords.  Based on patch from YAEGASHI Takeshi
    <yaegashi@debian.org>.  Closes: #315660

 -- LaMont Jones <lamont@debian.org>  Mon, 16 Jan 2006 14:35:42 -0700

util-linux (2.12r-2) unstable; urgency=low

  * Add back in dropped cramfs-udebsize patch.

 -- LaMont Jones <lamont@debian.org>  Fri,  9 Dec 2005 12:25:19 -0700

util-linux (2.12r-1) unstable; urgency=low

  * New upstream verison and maintainer.
    - cfdisk: fix a segfault with ReiserFS partitions
    - umount: disallow -r option for non-root users (CAN-2005-2876)
    - sfdisk: document -G option in --help output
    - updated translations: ca, et, fr
    - sfdisk: add -G option (Andries Brouwer)
    - updated translations: de, es, ru, sv, tr, nl
  * split cfdisk into its own udeb.  Closes: #243094, #314368
  * Really move hwclockfirst.sh back to S18 where it belongs.
    Put hwclock.sh at S22.  See #50572.
  * Missing line break in hwclock.sh.  Closes: #337955
  * Include swap-suspend patch from Ubuntu.
  * Fix variable name typo in hwclock.sh.  Closes: #340232
  * Add CPU=$(arch) to make call for building on amd64/i386 mixed systems.
    Closes: #305907

