=== debian/control ===
Source: util-linux
Section: base
Priority: required
Build-Depends: libncurses5-dev, libslang2-dev (>=2.0.4-1), gettext, zlib1g-dev, libblkid-dev, uuid-dev, dpatch, dpkg-dev (>=1.13.12)
Maintainer: LaMont Jones <lamont@debian.org>
Standards-Version: 3.7.2.0

Package: util-linux
Architecture: any
Pre-Depends: ${util-linux:Depends}
Section: utils
Priority: required
Essential: yes
Depends: lsb-base (>= 3.0-6), tzdata (>=2006c-2)
Suggests: util-linux-locales, kbd | console-tools, dosfstools
Replaces: miscutils, setterm, fdisk, ${util-linux:Conflicts}
Conflicts: setterm, fdisk, kbd (<< 1.05-3), console-tools (<< 1:0.2.3-21), ${util-linux:Conflicts}
Description: Miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system.  Some of the more
 important utilities included in this package allow you to partition
 your hard disk, view kernel messages, and create new filesystems.

Package: util-linux-locales
Architecture: all
Section: utils
Priority: optional
Depends: util-linux (>= ${Upstream}-0), util-linux (<< ${Upstream}.0-0)
Replaces: util-linux (<< 2.11b)
Description: Locales files for util-linux
 This package contains the internationalization files of for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English.

Package: mount
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sh s390 sparc sparc64
Essential: yes
Section: admin
Pre-Depends: ${mount:Depends}
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Essential: yes
Section: utils
Pre-Depends: ${bsdutils:Depends}
Recommends: bsdmainutils
Description: Basic utilities from 4.4BSD-Lite
 This package contains the bare minimum number of BSD utilities needed
 to boot a Debian system.  You should probably also install
 bsdmainutils to get the remaining standard BSD utilities.
 .
 Included are: logger, renice, replay, script, wall

Package: fdisk-udeb
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 mips mipsel powerpc ppc64 hurd-i386 sparc s390
Priority: extra
Section: debian-installer
Depends: ${fdisk-udeb:Depends}
Description: Partition a hard drive (manual)
 fdisk package

Package: cfdisk-udeb
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 mips mipsel powerpc ppc64 hurd-i386 s390
Priority: extra
Section: debian-installer
Depends: ${cfdisk-udeb:Depends}
Description: Partition a hard drive (cfdisk)
 Cfdisk package
