=== debian/rules ===
#! /usr/bin/make -f
include /usr/share/dpatch/dpatch.make

SHELL = bash
PACKAGE = util-linux

ifndef DEB_HOST_ARCH
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_HOST_ARCH = $(DEB_BUILD_ARCH)
endif

ifndef DEB_HOST_GNU_SYSTEM
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

ifndef DEB_HOST_ARCH_OS
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
endif


ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
# Take account of old dpkg-architecture output.
DEB_HOST_GNU_SYSTEM := linux-gnu
endif

export arch = $(DEB_HOST_ARCH)
version := $(shell sed -e '1{;s|^util-linux (\(.*\))\ .*|\1|;q;}' debian/changelog)

fdisk_arch = $(findstring $(arch),alpha i386 powerpc ppc64 arm armeb armel mips mipsel hppa ia64 hurd-i386 amd64 s390)
rdev_arch = $(findstring $(arch),i386 amd64)
sparc = $(findstring $(arch),sparc sparc64)
nohwclock = $(findstring $(arch),s390)

SUBDIRS=po lib getopt disk-utils login-utils misc-utils mount sys-utils text-utils
ifeq ($(arch),$(fdisk_arch))
SUBDIRS += fdisk
endif
ifeq ($(arch),$(sparc))
SUBDIRS += fdisk
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
SUBDIRS += hwclock 
endif
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
util-linux_Conflicts = getty
endif

CFDISK_PO_DIR=cfdisk-po
CFDISK_POT=$(CFDISK_PO_DIR)/cfdisk.pot

build: patch
	$(checkdir)
	./configure
	$(MAKE) all CPU=$(arch) arch=$(arch) SUBDIRS="${SUBDIRS}"
	# $(MAKE) disk-utils/raw - this is done above if linux/raw.h exists
	touch build

clean: unpatch
	$(checkdir)
	rm -f build sys-utils/rdev
	touch make_include
	$(MAKE) distclean
	find . -name '*~' -print0 | xargs -0r rm
	find . -name '*.orig' -print0 | xargs -0r rm
	find . -name '*.rej' -print0 | xargs -0r rm
	rm -rf debian/tmp* debian/files* debian/substvars po/messages
	rm -rf $(CFDISK_PO_DIR)

# Architecture independant stuff

SUIDFILES = debian/tmp-mount/bin/{u,}mount
BINFILES  = sys-utils/arch text-utils/more
UBINFILES = sys-utils/{ipcs,ipcrm,setsid} \
	misc-utils/{namei,setterm,mcookie,whereis,ddate} \
	getopt/getopt text-utils/{rev,line,pg}
SBINFILES = disk-utils/mkswap

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
INITFILES = debian/hwclock.sh
SBINFILES += hwclock/hwclock
endif
BINFILES  += sys-utils/dmesg
SBINFILES += disk-utils/{blockdev,raw,isosize} mount/pivot_root login-utils/agetty
UBINFILES += disk-utils/fdformat
USBINFILES = sys-utils/readprofile disk-utils/elvtune # disk-utils/setfdprm
endif

UBINFILES2= misc-utils/chkdupexe # debian/fdformat # don't strip these

ifeq ($(DEB_HOST_ARCH_OS),linux)
MOUNTBINFILES  = mount/mount mount/umount
MOUNTSBINFILES = mount/swapon mount/losetup
endif

#BSDBINFILES = # misc-utils/kill
BSDUBINFILES = misc-utils/script misc-utils/logger sys-utils/renice \
               login-utils/wall
               # misc-utils/scriptreplay is handled seperately
BSDMAN1FILES = login-utils/wall.1 misc-utils/script.1 \
               misc-utils/logger.1 misc-utils/scriptreplay.1 # misc-utils/kill.1
BSDMAN8FILES = sys-utils/renice.8
BSDDOCFILES = debian/README.script

# Architecture independant docs

MAN1FILES = text-utils/{pg,more,line,rev}.1 misc-utils/{namei.1,mcookie.1} \
            misc-utils/{chkdupexe.1,setterm.1,whereis.1,ddate.1} \
	    sys-utils/arch.1 getopt/getopt.1
MAN8FILES = sys-utils/{ipcrm.8,ipcs.8,setsid.8} disk-utils/mkswap.8
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
MAN8FILES += hwclock/hwclock.8
endif
MAN1FILES += sys-utils/readprofile.1
MAN8FILES += login-utils/agetty.8 disk-utils/{blockdev.8,elvtune.8,isosize.8} \
	     sys-utils/dmesg.8 mount/pivot_root.8 \
	     disk-utils/fdformat.8 disk-utils/raw.8 # disk-utils/setfdprm.8
endif


EXAMPLES = fdisk/sfdisk.examples getopt/getopt-{test,parse}.{ba,tc}sh
ifeq ($(DEB_HOST_ARCH_OS),linux)
EXAMPLES += debian/fstab.example2
endif

INFOFILES = sys-utils/ipc.info
ifeq ($(DEB_HOST_ARCH_OS),linux)
DOCFILES  = login-utils/{README.getty,README.modems-with-agetty,README.poeigl}
ifneq ($(arch),$(nohwclock))
DOCFILES += debian/README.Debian.hwclock
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
MOUNTMAN5FILES = mount/fstab.5 mount/nfs.5
MOUNTMAN8FILES = mount/losetup.8 mount/swapoff.8 mount/umount.8 \
		 mount/mount.8 mount/swapon.8
MOUNTDOCFILES  = mount/README.mount
endif

ifneq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) disk-utils/{{fsck,mkfs}.{minix,cramfs},mkfs}
MAN8FILES := $(MAN8FILES) disk-utils/{{fsck,mkfs}.minix.8,mkfs.8}	# no cramfs man
endif
ifeq ($(arch),$(fdisk_arch))
SBINFILES := $(SBINFILES) fdisk/{cfdisk,fdisk,sfdisk}
MAN8FILES := $(MAN8FILES) fdisk/{cfdisk.8,fdisk.8,sfdisk.8}
DOCFILES  := $(DOCFILES) fdisk/README.{c,}fdisk
ifeq ($(DEB_HOST_ARCH_OS),linux)
USBINFILES:= $(USBINFILES) sys-utils/{tunelp,cytune}
MAN8FILES := $(MAN8FILES) sys-utils/{tunelp.8,cytune.8}
endif
endif
ifeq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) fdisk/fdisk
MAN8FILES := $(MAN8FILES) fdisk/fdisk.8
DOCFILES  := $(DOCFILES) fdisk/README.fdisk
endif
ifeq ($(arch),$(rdev_arch))
USBINFILES:= $(USBINFILES) sys-utils/rdev
MAN8FILES := $(MAN8FILES) sys-utils/{rdev.8,vidmode.8} \
		sys-utils/{ramsize.8,rootflags.8}
endif

install:

binary-indep:	checkroot build binary-arch
	$(checkdir)
	# This assumes non-native, and only one hyphen in the version number.
	dpkg-gencontrol -isp -putil-linux-locales -Pdebian/tmp-util-linux-locales -VUpstream=$$(sed 's/^.*(\(.*\)-.*).*/\1/; q' debian/changelog)
	dpkg --build debian/tmp-util-linux-locales ..

binary-arch:	checkroot build $(INITFILES)
	rm -rf debian/tmp*
	install -d debian/tmp/{DEBIAN,bin,sbin,etc/init.d,usr/{bin,sbin,lib/mime/packages,share/{locale/{ca,cs,da,de,es,et,fi,fr,it,ja,nl,pt_BR,sl,sv,tr}/LC_MESSAGES,man/{man1,man8},info,$(PACKAGE),doc/$(PACKAGE)/examples,lintian/overrides}}}

	install -s $(BINFILES)  debian/tmp/bin
	install -s $(SBINFILES) debian/tmp/sbin
	install -s $(UBINFILES) debian/tmp/usr/bin
	install    $(UBINFILES2) debian/tmp/usr/bin
ifneq ($(USBINFILES),)
	install -s $(USBINFILES) debian/tmp/usr/sbin
ifeq ($(arch),$(rdev_arch))
	ln -s rdev debian/tmp/usr/sbin/ramsize
	ln -s rdev debian/tmp/usr/sbin/vidmode
	ln -s rdev debian/tmp/usr/sbin/rootflags
endif
endif
ifneq ($(INITFILES),)
	install -m 755 $(INITFILES) debian/tmp/etc/init.d
endif
	install -m 644 $(MAN1FILES) debian/tmp/usr/share/man/man1
	install -m 644 $(MAN8FILES) debian/tmp/usr/share/man/man8
	install -m 644 $(INFOFILES) debian/tmp/usr/share/info
	install -m 644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/$(PACKAGE)
	cd po && make install DESTDIR=../debian/tmp
ifneq ($(DOCFILES),)
	install -m 644 $(DOCFILES)  debian/tmp/usr/share/doc/$(PACKAGE)
endif
	install -m 644 $(EXAMPLES)  debian/tmp/usr/share/doc/$(PACKAGE)/examples
ifeq ($(arch),$(findstring $(arch),powerpc ppc64))
	mv -f debian/tmp/sbin/fdisk debian/tmp/sbin/ddisk
	mv -f debian/tmp/usr/share/man/man8/fdisk.8 debian/tmp/usr/share/man/man8/ddisk.8
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	(cd debian/tmp/sbin ; mv mkswap mkswap.linux)
	(cd debian/tmp/usr/share/man/man8 ; mv mkswap.8 mkswap.linux.8)
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
	(cd debian/tmp/sbin ; mv agetty getty)
	(cd debian/tmp/usr/share/man/man8 ; mv agetty.8 getty.8)
ifneq ($(arch), $(nohwclock))
ifneq ($(arch),$(findstring $(arch),powerpc ppc64))
	(cd debian/tmp/usr/share/man/man8 && ln -s hwclock.8.gz clock.8.gz)
endif
endif
	(cd debian/tmp/usr/share/doc/$(PACKAGE) ; mv README.modems-with-agetty README.modems-with-getty )
	perl -pi.bak -e 's/agetty/getty/g' debian/tmp/usr/share/man/man8/getty.8 \
	debian/tmp/usr/share/doc/$(PACKAGE)/README.getty \
	debian/tmp/usr/share/doc/$(PACKAGE)/README.modems-with-getty
	rm `find debian/tmp/usr -name \*.bak`
endif
	install -m 644 debian/changelog \
	  debian/tmp/usr/share/doc/$(PACKAGE)/changelog.Debian
	install -m 644 HISTORY debian/tmp/usr/share/doc/$(PACKAGE)/changelog
	find debian/tmp/usr/share/{info,doc,man} -type f | xargs gzip -9
	install -m 644 debian/mime.$(PACKAGE) debian/tmp/usr/lib/mime/packages/$(PACKAGE)
